USN-3362-1: X.Org X server vulnerabilities

Ubuntu Security Notice USN-3362-1

24th July, 2017

xorg-server, xorg-server-hwe-16.04, xorg-server-lts-xenial vulnerabilities

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 17.04
  • Ubuntu 16.04 LTS
  • Ubuntu 14.04 LTS

Summary

Several security issues were fixed in the X.Org X server.

Software description

  • xorg-server - X.Org X11 server
  • xorg-server-hwe-16.04 - X.Org X11 server
  • xorg-server-lts-xenial - X.Org X11 server

Details

It was discovered that the X.Org X server incorrectly handled endianness
conversion of certain X events. An attacker able to connect to an X server,
either locally or remotely, could use this issue to crash the server, or
possibly execute arbitrary code as an administrator. (CVE-2017-10971)

It was discovered that the X.Org X server incorrectly handled endianness
conversion of certain X events. An attacker able to connect to an X server,
either locally or remotely, could use this issue to possibly obtain
sensitive information. (CVE-2017-10972)

Eric Sesterhenn discovered that the X.Org X server incorrectly compared
MIT cookies. An attacker could possibly use this issue to perform a timing
attack and recover the MIT cookie. (CVE-2017-2624)

Update instructions

The problem can be corrected by updating your system to the following package version:

Ubuntu 17.04:
xserver-xorg-core 2:1.19.3-1ubuntu1.1
Ubuntu 16.04 LTS:
xserver-xorg-core 2:1.18.4-0ubuntu0.3
xserver-xorg-core-hwe-16.04 2:1.18.4-1ubuntu6.1~16.04.2
Ubuntu 14.04 LTS:
xserver-xorg-core 2:1.15.1-0ubuntu2.9
xserver-xorg-core-lts-xenial 2:1.18.3-1ubuntu2.3~trusty2

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

After a standard system update you need to reboot your computer to make
all the necessary changes.

References

CVE-2017-10971, CVE-2017-10972, CVE-2017-2624